summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2019-02-23 22:17:01 +0000
committerKarl Berry <karl@freefriends.org>2019-02-23 22:17:01 +0000
commitc714634364a1153c6b21311a21d79fc932181ecc (patch)
tree164cbec9f2831360c71ad42790b34432eac0b7e0 /Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh
parent28403cf284b6470974feb06d05fa84b83efcbe0c (diff)
pdfreview (22feb19)
git-svn-id: svn://tug.org/texlive/trunk@50100 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh')
-rwxr-xr-xMaster/texmf-dist/doc/latex/pdfreview/pdfreview.sh28
1 files changed, 16 insertions, 12 deletions
diff --git a/Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh b/Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh
index a6818e4363b..f7d93f83f49 100755
--- a/Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh
+++ b/Master/texmf-dist/doc/latex/pdfreview/pdfreview.sh
@@ -1,39 +1,44 @@
#!/bin/bash
-# this script is part of the pdf-annotation LaTeX package by M. Palmer
-# like all files in the package, it is covered by the LPPL.
-
# this assumes ghostscript is installed as 'gs - change as needed
ghostscript="gs"
script_name=`basename "$0"`
-if [ -z $1 ]; then
+if [ -z "$1" ]; then
echo "Usage: $script_name inputfile.pdf > outputfile.tex"
exit 1
fi
-source_doc=$1
+if [ ! -f "$1" ]; then
+ echo "File $1 not found"
+ exit 1
+fi
+
+source_doc="$1"
-# doc_header will become the preamble of your wrapper document
-# edit it according it your preferences.
+# doc_header will become the preamble of your generated wrapper document
+# edit it according it your own preferences.
doc_header="\documentclass[letterpaper,10pt]{article}
+\usepackage{mathptmx}
+
\usepackage[
- sourcedoc=$source_doc,
+ sourcedoc={$source_doc},
inline=true,
- withnotesonly=false,
grid=true,
gridcolor=black!30,
- trim={1cm 1cm 1cm 1cm},
+ trim={2cm 1cm 2cm 1cm},
bodywidth=0.75,
pageoffset=0,
fontsize=footnotesize,
twocolumn=false,
notesbg=yellow,
notesframe=black,
- insertpagemargin=2.5cm
+ insertpagemargin=2.5cm,
+ withnotesonly=false,
+ staggered=true
]{pdfreview}
\begin{document}
@@ -53,4 +58,3 @@ do
done
echo "\end{document}"
-